Name:		asciinema
Version:	2.2.0
Release:	%mkrel 1
Summary:	Terminal session recorder
License:	GPLv3+
Group:		Terminals
URL:		https://asciinema.org
Source0:	https://github.com/asciinema/asciinema/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(wheel)
# pkg_resources is used from /usr/bin/asciinema
Requires:       python3dist(setuptools)
%{?python_provide:%python_provide python3-%{name}}

%description
Asciinema is a free and open source solution for recording the terminal sessions
and sharing them on the web.

%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

# man page
install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/asciinema.1 %{buildroot}%{_mandir}/man1/

%check
%pytest

%files
%license LICENSE
%doc *.md doc/*.md
%{_bindir}/asciinema
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.dist-info/
%{_mandir}/man1/%{name}.1*


%changelog
* Mon May 16 2022 wally <wally> 2.2.0-1.mga9
+ Revision: 1858435
- new version 2.2.0

* Thu Mar 24 2022 umeabot <umeabot> 2.1.0-3.mga9
+ Revision: 1824911
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 2.1.0-2.mga9
+ Revision: 1782162
- Rebuild for python-3.10

* Thu Oct 07 2021 wally <wally> 2.1.0-1.mga9
+ Revision: 1749933
- new versino 2.1.0

* Sun Mar 21 2021 neoclust <neoclust> 2.0.2-3.mga9
+ Revision: 1706824
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.0.2-2.mga8
+ Revision: 1533417
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 wally <wally> 2.0.2-1.mga8
+ Revision: 1440659
- new version 2.0.2

* Fri Sep 13 2019 wally <wally> 2.0.1-9.mga8
+ Revision: 1440471
- add group
- add python_provides
- import based on .spec from Fedora

